### Constructor

# Ide LspClient new

#### Declaration

    IdeLspClient*
    ide_lsp_client_new (
      GIOStream* io_stream
    )

#### Description

No description available.

#### Parameters

`io_stream` | `GIOStream`
| No description available.
| The data is owned by the caller of the function.

#### Return value

Returns: | `IdeLspClient`
| No description available.
| The caller of the function takes ownership of the data, and is responsible for freeing it.